Package com.complexible.common.stream

# Class ForEachIntTask

java.lang.Object
java.util.concurrent.ForkJoinTask<Void>
java.util.concurrent.CountedCompleter<Void>
com.complexible.common.stream.ForEachIntTask

All Implemented Interfaces:
  `Serializable`, `Future<Void>`

public final class ForEachIntTask extends CountedCompleter<Void>
A `ForkJoinTask` for performing a parallel for-each operation;

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.concurrent.Future

  `Future.State`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForEachIntTask(Spliterator.OfInt theSpliterator, BooleanSupplier theCancellationFlag, IntConsumer theConsumer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `compute()`

  ### Methods inherited from class java.util.concurrent.CountedCompleter

  `addToPendingCount, compareAndSetPendingCount, complete, decrementPendingCountUnlessZero, exec, firstComplete, getCompleter, getPendingCount, getRawResult, getRoot, helpComplete, nextComplete, onCompletion, onExceptionalCompletion, propagateCompletion, quietlyCompleteRoot, setPendingCount, setRawResult, tryComplete`

  ### Methods inherited from class java.util.concurrent.ForkJoinTask

  `adapt, adapt, adapt, adaptInterruptible, cancel, compareAndSetForkJoinTaskTag, completeExceptionally, exceptionNow, fork, get, get, getException, getForkJoinTaskTag, getPool, getQueuedTaskCount, getSurplusQueuedTaskCount, helpQuiesce, inForkJoinPool, invoke, invokeAll, invokeAll, invokeAll, isCancelled, isCompletedAbnormally, isCompletedNormally, isDone, join, peekNextLocalTask, pollNextLocalTask, pollSubmission, pollTask, quietlyComplete, quietlyInvoke, quietlyJoin, quietlyJoin, quietlyJoinUninterruptibly, reinitialize, resultNow, setForkJoinTaskTag, state, tryUnfork`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForEachIntTask

    public ForEachIntTask(Spliterator.OfInt theSpliterator, BooleanSupplier theCancellationFlag, IntConsumer theConsumer)

- ## Method Details

  - ### compute

    public void compute()
    Specified by:
      `compute` in class `CountedCompleter<Void>`